List lists
GET
/workspaces/{workspaceId}/lists
This endpoint will return a list of contact lists from your workspace.
Paramètres de chemin
workspaceId
string
The unique identifier of the workspace.
Corps de la réponse
results
array of object
Afficher les attributs enfants
results.id
string
obligatoire
The unique identifier for the list.
results.name
string
obligatoire
The name of the list.
results.description
string
obligatoire
The description of the list.
results.createdAt
string
results.updatedAt
string
results.contactCount
integer
The number of contacts in the list.
results.consentType
string
The consent type for the list.
Possible values: single, double
results.tags
array of string
The tags associated with the list.
results.isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
results.counter
object
Afficher les attributs enfants
results.counter.count
integer
obligatoire
results.counter.updatedAt
string
obligatoire
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/lists' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Let's establish some of our data that will be used in the following examples:
- Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
- AccessKey: abcd
List your lists
In this example, we are listing lists from a given workspace.
Exemple de code
curl -X GET "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"Exemple de code
{
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "US Customers",
"description": "US Customers",
"contactCount": 0,
"tags": [
"123e4567-e89b-12d3-a456-426614174000"
],
"isProof": false,
"consentType": "single",
"createdAt": "2024-11-26T15:00:00.000Z",
"updatedAt": "2024-11-26T15:00:00.000Z"
}Ï
]
}